/**
 * 
 */
package tp7;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author rosmord
 * 
 */
public class Calcul extends HttpServlet {

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.servlet.http.HttpServlet#doGet(javax.servlet.http.HttpServletRequest,
	 *      javax.servlet.http.HttpServletResponse)
	 */
	@Override
	protected void doGet(HttpServletRequest arg0, HttpServletResponse arg1)
			throws ServletException, IOException {
		doPost(arg0, arg1);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.servlet.http.HttpServlet#doPost(javax.servlet.http.HttpServletRequest,
	 *      javax.servlet.http.HttpServletResponse)
	 */
	@Override
	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		// Traitement d'erreur pas subtil !
		String message = null;
		int somme = 0;
		String succes = "/WEB-INF/jsp/resultatCalcul.jsp";
		String formulaire = "/WEB-INF/jsp/deuxNombresFormulaire3.jsp";

		// Destination
		String url = null;

		// Plusieurs cas.
		// a) pas de données : formulaire vierge.

		if (request.getParameter("nombre1") == null) {
			url = formulaire;
		} else {
			// On tente de calculer.
			try {
				int a = Integer.parseInt(request.getParameter("nombre1"));
				int b = Integer.parseInt(request.getParameter("nombre2"));
				somme = a + b;
				url= succes;
				request.setAttribute("resultat", new Integer(somme));
			} catch (Exception e) {
				message= "Attention, vous devez entrer des nombres !";
				url= formulaire;
				request.setAttribute("message", message);
			}
		}
		
		// On redirige 
		RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
		dispatcher.forward(request, response);

	}
}
